require 'tight-engine/init'
require 'tight-engine/locale'
require 'tight-engine/defer'
require 'tight-engine/template'
require 'tight-engine/render'
require 'tight-engine/url'
require 'tight-engine/utils'

module Tight
  module Engine
    def self.registered(app)
      app.send(:include, Tight::Engine::Init)
      app.send(:include, Tight::Engine::Locale)
      app.send(:include, Tight::Engine::Defer)
      app.send(:include, Tight::Engine::Template)
      app.send(:include, Tight::Engine::Render)
      app.send(:include, Tight::Engine::Url)
      app.send(:include, Tight::Engine::Utils)

      app.default :deferred_elements, []
    end
  end
end
